<?php
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class VTEMgalleryController extends JController
{
	public function display($cachable = false, $urlparams = false)
	{
		$view = JRequest::getCmd('view','categories');
		$id = JRequest::getInt('id', 0);
		
		if($view == 'vtcategory')
		{
			if( empty($id) )
			{
				if(!vtGeneralHelper::authorise('core.create'))
				{
					return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
				}
			}
			else
			{
				if(!vtGeneralHelper::authorise('core.edit', $id))
				{
					return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
				}
			}
			
			$model = $this->getModel('vtcategory');
		
			if( !$model->checkProfileExists() )
			{
				JFactory::getApplication()->enqueueMessage( JText::_( 'PLEASE_CREATE_PROFILE_FIRST' ) );
				$this->setRedirect('index.php?option=com_vtemgallery&view=profiles');
				return;
			}
		}
		
		if($view == 'image')
		{
			if(!vtGeneralHelper::authorise('core.edit', null, JRequest::getInt('id', 0) ))
			{
				return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			}
		}
		
		
		if($view == 'profiles')
		{
			if(!vtGeneralHelper::authorise('core.admin'))
			{
				return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			}
		}
		
		if($view == 'profile')
		{
			if(!vtGeneralHelper::authorise('core.admin'))
			{
				return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			}
			
			if( empty($id) )
			{
				if(!vtGeneralHelper::authorise('core.create'))
				{
					return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
				}
			}
			else
			{
				if(!vtGeneralHelper::authorise('core.edit'))
				{
					return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
				}
			}
		}
		
		if($view == 'serverimport')
		{
			if(!vtGeneralHelper::authorise('core.admin'))
			{
				return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			}
		}
	
		parent::display();
	}
}
