<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controlleradmin');

class vtemgalleryControllerProfiles extends JControllerAdmin
{
	public function &getModel($name = 'Profile', $prefix = 'VTEMgalleryModel')
	{
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		return $model;
	}
	
	function add_profile_redirect()
	{
		$this->setRedirect('index.php?option=com_vtemgallery&view=profile');
	}
	
	function copy()
	{
		if(!vtGeneralHelper::authorise('core.admin'))
		{
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
		}
		
		if(!vtGeneralHelper::authorise('core.create'))
		{
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
		}

		$model = $this->getModel();
		
		$msg = '';
		if ($model->copy()) 
		{
			$msg = JText::_('SUCCESSFULLY_COPIED');
		}
		
		$this->setRedirect('index.php?option=com_vtemgallery&view=profiles', $msg);
	}
	
	function delete()
	{
		if(!vtGeneralHelper::authorise('core.admin'))
		{
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
		}
		
		if(!vtGeneralHelper::authorise('core.delete'))
		{
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
		}
		
		$model = $this->getModel();
		
		if( !$model->checkAssigned() )
		{
			$this->setRedirect('index.php?option=com_vtemgallery&view=profiles');
			return;
		}
		
		parent::delete();
	}
    
}