<?php
defined('_JEXEC') or die('Restricted access');

class vtemprofileController extends vtembaseController
{
	protected $redirect = 'index.php?option=com_vtemgallery&controller=vtemprofile';
	
	function __construct($config = array())
	{
		parent::__construct($config);
	
		$this->registerTask('apply', 'save');
	}
	
	function add_profile_redirect()
	{
		//the add button uses post to navigate, this is more RESTful
		$this->setRedirect('index.php?option=com_vtemgallery&controller=vtemprofile&view=add_edit_profile');
	}
	
	function save()
	{
		$post	= JRequest::get('post');
		
		$model = $this->getModel();
		
		if( !$model->save($post) )
		{
			JError::raise(2, 500, $model->getError() );
		}
		else 
		{
			$msg = JText::_('PROFILE SAVED');
		} 
		
		switch($this->_task)
		{
			case 'apply':
			$cid = JRequest::getVar('cid', array(0), '', 'array');
			$id = (int)$cid[0];
			$url = 'index.php?option=com_vtemgallery&controller=vtemprofile&view=add_edit_profile&cid='.$id.'&startOffset='.$post['startOffset'];
			break;
			
			case 'save':
			$url = 'index.php?option=com_vtemgallery&controller=vtemprofile';
		}
	
		$this->setRedirect($url, JText::_('PROFILE SAVED'));
	}
	
	function remove()
	{
		$model = $this->getModel();
		
		if( !$model->checkAssigned() )
		{
			$this->setRedirect('index.php?option=com_vtemgallery&controller=vtemprofile');
			return;
		}
		
		if( !$model->delete() )
		{
			JError::raise(2, 500, $model->getError() );
		}
		
		$this->setRedirect('index.php?option=com_vtemgallery&controller=vtemprofile',JText::_('SUCCESSFULLY DELETED'));
	}
	
	function cancel()
	{
		$this->setRedirect('index.php?option=com_vtemgallery&controller=vtemphoto');
	}	
    
}