<?php
defined('_JEXEC') or die( 'Restricted access' );
class vtemprofileModeladd_edit_profile extends vtembaseModel
{
	protected $_data = null;
	protected $context = 'edit_profile';

	function __construct()
	{
		parent::__construct();
	}

	function &getData()
	{
		if(!$this->_loadData())
		{
			$this->_initData();
		}

		return $this->_data;
	}

    function _loadData()
	{
		if (empty($this->_data))
		{
			$query = 'SELECT * FROM #__vtemgallery_profiles WHERE id = '. (int)$this->_id;
			$this->_db->setQuery($query);
			$this->_data = $this->_db->loadObject();

			return (boolean) $this->_data;
		}
		return true;
	}

	function _initData()
	{
		if (empty($this->_data))
		{
			$profile = new stdClass();

			//not on tab
			$profile->id = null;
			$profile->ordering = null;

			//general
			$profile->name = null;
			$profile->img_quality = 80;
			$profile->show_search = 0;
			$profile->show_cat_title = 0;
			$profile->published = 1;
			$profile->refresh_mode = 'javascript';

			//menu
			$profile->crop_menu = 1;

			//main image
			$profile->max_width = 600;
			$profile->max_height = 400;
			$profile->preload = 1;
			$profile->magnify = 1;

			//thumbs
			$profile->thumb_width = 150;
			$profile->thumb_height = 100;
			$profile->images_per_row = 0;
			$profile->thumb_pagination = 0;
			$profile->thumb_pagination_amount = 20;

			//other
			$profile->gallery_des_position = 'below';
			$profile->style = 'style1';
			$profile->show_descriptions = 1;

			//acl
			$profile->acl_cat_menu = 2;
			$profile->acl_cat_display = 2;
			$profile->acl_cat_view = 1;
			$profile->acl_cat_edit = 1;
			$profile->acl_cat_delete = 1;
			$profile->acl_cat_publish = 1;
			$profile->acl_cat_order = 1;
			$profile->acl_upload = 1;
			$profile->acl_photo_view = 1;
			$profile->acl_photo_edit = 1;
			$profile->acl_photo_del = 1;
			$profile->acl_photo_publish = 1;
			$profile->acl_photo_ordering = 1;

			$this->_data					= $profile;
			return (boolean) $this->_data;
		}
		return true;
	}
}