<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

class vtemCategoryModelvtemCategory extends vtembaseModel
{
	public $_total;
	protected $context = 'vtemcategory';

	function __construct()
	{
		global $mainframe;

		parent::__construct();

		$limitstart = JRequest::getInt('limitstart',0);
		$this->setState('limitstart', $limitstart);

		$id = JRequest::getInt('id', 0);
		$this->setId($id);
		
	}

	function setId($id)
	{
		$this->_id = (int)$id;
	}

	function getCategory()
	{
		$query = 'SELECT * FROM #__vtemgallery WHERE id = '. (int)$this->_id;
		$this->_db->setQuery($query);
		$this->_category = $this->_db->loadObject();
		return $this->_category;
	}
	
	function getCat($id)
	{
		$query = 'SELECT * FROM #__vtemgallery WHERE id = '. (int)$id;
		$this->_db->setQuery($query);
		$category = $this->_db->loadObject();
		return $category;
	}

	function getPagination()
	{
		if (empty($this->_pagination))
		{
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination( $this->_total, $this->getState('limitstart'), 20 );
		}

		return $this->_pagination;
	}
	
	function getThumbPagination()
	{
		if (empty($this->_thumbPagination))
		{
			jimport('joomla.html.pagination');
			$this->_thumbPagination = new JPagination( $this->_thumbTotal, JRequest::getInt('limitstart',0), $this->_profile->thumb_pagination_amount );
		}

		return $this->_thumbPagination;
	}

	function getCategoryChildren()
	{
		$user =& JFactory::getUser();

		$query = 'SELECT #__vtemgallery.*, '.
		'#__vtemgallery_profiles.img_quality '.
		'FROM #__vtemgallery '.
		'INNER JOIN #__vtemgallery_profiles ON #__vtemgallery.profile = #__vtemgallery_profiles.id '.
		'WHERE #__vtemgallery.published = 1 AND #__vtemgallery.moderate = 1 '.
		'AND #__vtemgallery.parent = '.(int)$this->_category->id.
		' ORDER BY ordering';

		$categoryChildren = $this->_getList($query);
		$this->_total = $this->_getListCount($query);
		
		$count = count($categoryChildren);
		
		for($i=0; $i<$count; $i++ )
		{
			if( !$this->authenticate('acl_cat_menu', $categoryChildren[$i]->id, false, false) )
			{
				unset($categoryChildren[$i]);
			}
		}
		$categoryChildren = array_values($categoryChildren);
		
		$categoryChildren =& $this->getMenuImages($categoryChildren);

		return $categoryChildren;
	}
	
	function getMenuImages(&$categories)
	{
		for($i=0; $i<count($categories); $i++ )
		{
			if( empty($categories[$i]->parent) )
			{
				$profileId = $categories[$i]->profile;
			}
			else
			{
				$parentCat = $this->getCat($categories[$i]->parent);
				$profileId = $parentCat->profile;
			}
			
			$profile = $this->getProfile($profileId);
			
			$query = 'SELECT * from #__vtemgallery_img WHERE gallery_id = '.(int)$categories[$i]->id.
			' ORDER BY RAND() LIMIT 1';
			$this->_db->setQuery($query);
			$menuPhoto = $this->_db->loadObject();
				
			if( !empty($menuPhoto->filename) )
			{
				$categories[$i]->fileArray = igFileHelper::originalToResized($menuPhoto->filename, 200, 150, $profile->img_quality, $profile->crop_menu,
	            $menuPhoto->rotation);
	        }
			
        }
		
		return $categories;
	}
	
	function addCategoryHit()
	{
		$this->addTablePath(VTEM_ADMINISTRATOR_COMPONENT.DS.'tables');
		$row =& $this->getTable('vtemgallery');
		$row->load( (int)$this->_id );
		$row->hits = $row->hits + 1;
		
		if(!$row->store())
		{
			$this->setError($this->_db->getErrorMsg());
		}
	}

	function getPhotoList()
	{
		$this->addCategoryHit();
		
		$user =& JFactory::getUser();
		$where2 = '';
		
		if(!empty($this->_tag))
		{
			$tagsArray = explode(',',$this->_tag);
			$tagsLikeSql = array();
			
			foreach($tagsArray as $key => $value)
			{
			   $tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
			}
			$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
			$where2 = ' AND ('.$tagClauses.')';
		}
		
		
		$limit = $this->_profile->thumb_pagination == 0 ? 0 : $this->_profile->thumb_pagination_amount;

		$query = 'SELECT * FROM #__vtemgallery_img WHERE gallery_id = '. (int)$this->_id.$where2 .
		' AND published = 1 AND moderate = 1 AND access <= '.(int)$user->get('aid', 0).' ORDER BY ordering';
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);
		
		$this->_thumbTotal = $this->_getListCount($query);

		return $this->_photoList;
	}

	function getRandomList()
	{
		$user =& JFactory::getUser();

		if($this->_child)
		{
			$children = igHtmlHelper::getChildList($this->_id, 'flat');
			$children[] = (int)$this->_id;
			$where = 'FIND_IN_SET(gallery_id,"'.implode(',',$children).'")';
		}
		else
		{
			$where = 'gallery_id = '. (int)$this->_id;
		}
		
		$where2 = '';
		
		if(!empty($this->_tag))
		{
			$tagsArray = explode(',',$this->_tag);
			$tagsLikeSql = array();
			
			foreach($tagsArray as $key => $value)
			{
			   $tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
			}
			$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
			$where2 = ' AND ('.$tagClauses.')';
		}

		$query = 'SELECT DISTINCT *'
		.   ' FROM #__vtemgallery_img'
		.   ' WHERE '.$where.$where2
		.   ' AND published = 1 AND moderate = 1'
		.   ' AND access <= '.(int)$user->get('aid', 0)
		.   ' ORDER BY RAND()';
		
		$limit = $this->_profile->thumb_pagination == 0 ? (int)$this->_limit : $this->_profile->thumb_pagination_amount;
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);
		
		$this->_thumbTotal = $this->_getListCount($query);
		
		return $this->_photoList;
	}

	function getLatestList()
	{
		$user =& JFactory::getUser();

		if($this->_child)
		{
			$children = igHtmlHelper::getChildList($this->_id, 'flat');
			$children[] = (int)$this->_id;
			$where = 'FIND_IN_SET(gallery_id,"'.implode(',',$children).'")';
		}
		else
		{
			$where = 'gallery_id = '. (int)$this->_id;
		}
		
		$where2 = '';
		
		if(!empty($this->_tag))
		{
			$tagsArray = explode(',',$this->_tag);
			$tagsLikeSql = array();
			
			foreach($tagsArray as $key => $value)
			{
			   $tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
			}
			$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
			$where2 = ' AND ('.$tagClauses.')';
		}

		$query = 'SELECT *'
		.   ' FROM #__vtemgallery_img'
		.   ' WHERE '.$where.$where2
		.   ' AND published = 1 AND moderate = 1'
		.   ' AND access <= '.(int)$user->get('aid', 0)
		.   ' ORDER BY date DESC';
		
		$limit = $this->_profile->thumb_pagination == 0 ? $this->_limit : $this->_profile->thumb_pagination_amount;
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);
		
		$this->_thumbTotal = $this->_getListCount($query);
		return $this->_photoList;
	}

	function getRatedList()
	{
		$user =& JFactory::getUser();

		if($this->_child)
		{
			$children = igHtmlHelper::getChildList($this->_id, 'flat');
			$children[] = (int)$this->_id;
			$where = 'FIND_IN_SET(r.gallery_id,"'.implode(',',$children).'")';
		}
		else
		{
			$where = 'r.gallery_id = '. (int)$this->_id;
		}
		
		$where2 = '';
		
		if(!empty($this->_tag))
		{
			$tagsArray = explode(',',$this->_tag);
			$tagsLikeSql = array();
			
			foreach($tagsArray as $key => $value)
			{
			   $tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
			}
			$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
			$where2 = ' AND ('.$tagClauses.')';
		}

		$query = 'SELECT i.*'
		.   ' FROM #__vtemgallery_img AS i'
		.   ' WHERE '.$where.$where2
		.   ' AND i.published = 1 AND i.moderate = 1'
		.   ' AND i.access <= '.(int)$user->get('aid', 0)		
		.   ' ORDER BY rating DESC';
		
		$limit = $this->_profile->thumb_pagination == 0 ? $this->_limit : $this->_profile->thumb_pagination_amount;
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);

		$this->_thumbTotal = $this->_getListCount($query);
		return $this->_photoList;
	}

	function getCommentedList()
	{
		$user =& JFactory::getUser();

		if($this->_child)
		{
			$children = igHtmlHelper::getChildList($this->_id, 'flat');
			$children[] = (int)$this->_id;
			$where = 'FIND_IN_SET(c.gallery_id,"'.implode(',',$children).'")';
		}
		else
		{
			$where = 'c.gallery_id = '. (int)$this->_id;
		}
		
		$where2 = '';
		
		if(!empty($this->_tag))
		{
			$tagsArray = explode(',',$this->_tag);
			$tagsLikeSql = array();
			
			foreach($tagsArray as $key => $value)
			{
			   $tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
			}
			$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
			$where2 = ' AND ('.$tagClauses.')';
		}

		$query = 'SELECT i.*, COUNT(*) as total'
		.   ' FROM #__vtemgallery_img AS i'
		.   ' WHERE '.$where.$where2
		.   ' AND i.published = 1'
		.   ' AND i.access <= '.(int)$user->get('aid', 0)
		.   ' ORDER BY total DESC';
		
		$limit = $this->_profile->thumb_pagination == 0 ? $this->_limit : $this->_profile->thumb_pagination_amount;
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);
		
		$this->_thumbTotal = $this->_getListCount($query);
		return $this->_photoList;
	}

	function getTaggedList()
	{
		$user =& JFactory::getUser();

		if($this->_child)
		{
			$children = igHtmlHelper::getChildList($this->_id, 'flat');
			$children[] = (int)$this->_id;
			$where = 'FIND_IN_SET(gallery_id,"'.implode(',',$children).'")';
		}
		else
		{
			$where = 'gallery_id = '. (int)$this->_id;
		}

		$tagsArray = explode(',',$this->_tag);
		$tagsLikeSql = array();
		foreach($tagsArray as $key => $value)
		{
			$tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
		}
		$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
		$where2 = '('.$tagClauses.')';

		$query = 'SELECT *'
		.   ' FROM #__vtemgallery_img'
		.   ' WHERE '.$where
		.   ' AND '.$where2
		.   ' AND published = 1 AND moderate = 1'
		.   ' AND access <= '.(int)$user->get('aid', 0)
		.   ' ORDER BY ordering';
		
		$limit = $this->_profile->thumb_pagination == 0 ? $this->_limit : $this->_profile->thumb_pagination_amount;
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);

		$this->_thumbTotal = $this->_getListCount($query);
		return $this->_photoList;
	}
	function getHitsList()
	{
		$user =& JFactory::getUser();

		if($this->_child)
		{
			$children = igHtmlHelper::getChildList($this->_id, 'flat');
			$children[] = (int)$this->_id;
			$where = 'FIND_IN_SET(gallery_id,"'.implode(',',$children).'")';
		}
		else
		{
			$where = 'gallery_id = '. (int)$this->_id;
		}
		
		$where2 = '';
		
		if(!empty($this->_tag))
		{
			$tagsArray = explode(',',$this->_tag);
			$tagsLikeSql = array();
			
			foreach($tagsArray as $key => $value)
			{
			   $tagsLikeSql[] = 'tags LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $value, true ).'%', false );
			}
			$tagClauses = implode( ' OR ', $tagsLikeSql ) ;
			$where2 = ' AND ('.$tagClauses.')';
		}

		$query = 'SELECT *'
		.   ' FROM #__vtemgallery_img'
		.   ' WHERE '.$where.$where2
		.   ' AND published = 1 AND moderate = 1'
		.   ' AND access <= '.(int)$user->get('aid', 0)
		.   ' ORDER BY hits DESC';
		
		$limit = $this->_profile->thumb_pagination == 0 ? $this->_limit : $this->_profile->thumb_pagination_amount;
		$this->_photoList = $this->_getList($query, JRequest::getInt('limitstart',0), (int)$limit);

		$this->_thumbTotal = $this->_getListCount($query);
		return $this->_photoList;
	}
}