<?php
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class vtViewcategory extends JViewLegacy
{
	function display($tpl = null)
	{
		//initialise
	    $app = JFactory::getApplication();
	    $this->user = JFactory::getUser();
	    $this->guest = $this->user->get('guest') ? true : false;
	    $document = JFactory::getDocument();
	    $this->params = JComponentHelper::getParams('com_vtemgallery');
	    $model = $this->getModel();
		
	    //get request vars
		$input =JFactory::getApplication()->input;
	    $this->source = $input->get('vtsource', 'component');
		$catid = $input->get('vtemid', 0);
    	$searchChildren = $input->get('vtchild', 0);
    	$this->showMenu = $input->get('vtshowmenu', 1);
    	$tags = $input->get('vttags', '');
    	$this->type = $input->get('vttype', 'category');
    	$profileId = $input->get('vtpid', 0);
        $limit = $input->get('vtlimit', 0);
        $limit = $limit == 0 ? 1000 : $limit;
        $this->Itemid = $input->get('Itemid', '');
        
        $uniqueid = $input->get('vtuniqueid', 0);
        $this->uniqueid = !empty($uniqueid) ? $uniqueid : $catid;
        
		if ($this->source != 'component')
		{
			$overridePath = JPATH_BASE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_vtemgallery'.DS.$this->getName();
			$this->_addPath('template', $overridePath);
		}
		
        
        //get model data
        $this->category = $model->getCategory($catid);
		if($this->category == null)
	    {
	    	JError::raise(2, 500, JText::_('JUNPUBLISHED') );
	        return;
	    }
	    
        $profileId = $profileId == 0 ? $this->category->profile : $profileId;
		$this->profile = $model->getProfile($profileId);
		
		if($this->profile == null)
		{
			JError::raise(2, 500, JText::_('Profile Unpublished') );
			return;
		}
		
		if($this->profile->show_large_image == 0 && $this->profile->show_thumbs == 0)
		{
			JError::raise(2, 500, JText::_('Thumbs or main image display must be enabled in profile settings') );
			return;
		}
		
		//check access
		$this->registerLink = $this->params->get('register_link', 'index.php?option=com_user&amp;task=register');
		if( !in_array($this->profile->access, $this->user->getAuthorisedViewLevels() ) )
		{
			if($this->profile->access == 2)
			{
				header("location: ".$this->registerLink );
				return;
			}
			else
			{
				return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			}
		}
		
		$this->categoryChildren = $model->getCategoryChildren($catid, $this->profile);
		
		switch($this->type)
    	{
    	    case 'random' : $this->photoList = $model->getRandomList($this->profile, $catid, $tags, $searchChildren, $limit);break;
    	    case 'latest' : $this->photoList = $model->getLatestList($this->profile, $catid, $tags, $searchChildren, $limit);break;
    	    case 'hits'   : $this->photoList = $model->getHitsList($this->profile, $catid, $tags, $searchChildren, $limit);break;
    	    case 'rated'  : $this->photoList = $model->getRatedList($this->profile, $catid, $tags, $searchChildren, $limit);break;
    	    default       : $this->photoList = $model->getCategoryImagesList($this->profile, $catid, $tags, $searchChildren, $limit);
    	}
		
    	if($this->profile->menu_pagination == 1)
    	{
	        $this->menuPagination = $model->getPagination($model->menuTotal, $this->profile->menu_pagination_amount);
    	}
    	if($this->profile->thumb_pagination == 1)
    	{
	        $this->thumbPagination = $model->getPagination($model->thumbTotal,$this->profile->thumb_pagination_amount);
    	}

        //get the image files
		if( !empty($this->photoList) )
		{
		    $this->thumbFiles = array();
    	    $this->mainFiles = array();
    	    $this->lboxFiles = array();
    	    $this->lboxThumbFiles = array();

    		for($i=0; $i<count($this->photoList); $i++)
    		{
    		    $row =& $this->photoList[$i];

    			if(! $this->thumbFiles[$i] = vtFileHelper::originalToResized($row->filename, $this->profile->thumb_width,
    		    $this->profile->thumb_height, $this->profile->img_quality, $this->profile->crop_thumbs, $row->rotation, $this->profile->round_thumb, $this->profile->round_fill) )
    		    {
    		        return false;
    		    }

    		    if(! $this->mainFiles[$i] = vtFileHelper::originalToResized($row->filename, $this->profile->max_width,
    		    $this->profile->max_height, $this->profile->img_quality, $this->profile->crop_main, $row->rotation, $this->profile->round_large, $this->profile->round_fill, 
    		    $this->profile->watermark, $this->profile->watermark_text, $this->profile->watermark_text_color, $this->profile->watermark_text_size, $this->profile->watermark_filename,
    		    $this->profile->watermark_position, $this->profile->watermark_transparency, 0) )
    		    {
    		        return false;
    		    }

    		    if(! $this->lboxThumbFiles[$i] = vtFileHelper::originalToResized($row->filename, $this->profile->lbox_thumb_width,
    		    $this->profile->lbox_thumb_height, $this->profile->img_quality, $this->profile->lbox_crop_thumbs, $row->rotation, $this->profile->round_thumb, $this->profile->round_fill) )
    		    {
    		        return false;
    		    }

    		    if(! $this->lboxFiles[$i] = vtFileHelper::originalToResized($row->filename, $this->profile->lbox_max_width,
    		    $this->profile->lbox_max_height, $this->profile->img_quality, $this->profile->crop_lbox, $row->rotation, $this->profile->round_large, $this->profile->round_fill,
    		    $this->profile->watermark, $this->profile->watermark_text, $this->profile->watermark_text_color, $this->profile->watermark_text_size,  $this->profile->watermark_filename,
    		    $this->profile->watermark_position, $this->profile->watermark_transparency, 0) )
    		    {
    		        return false;
    		    }
    		}

    		$this->dimensions = vtUtilityHelper::getGalleryDimensions($this->mainFiles, $this->lboxFiles, $this->profile);
    		
    		//add the head js
    		$headJs = vtUtilityHelper::makeHeadJs($this->category, $this->profile, $this->photoList, $this->dimensions['galleryWidth'],
	        $this->dimensions['galleryLboxWidth'], $this->mainFiles, $this->lboxFiles, $this->thumbFiles, $this->lboxThumbFiles, 
	        $this->source, $catid, $this->uniqueid);
			
	        JHTML::_('behavior.framework', true);
			JHtml::_('jquery.framework');
			/*if($this->profile->refresh_mode == 1){
	        	$document->addScript(VT_HOST.'media/com_vtemgallery/js/jquery.min.js');
			}
			$document->addScriptDeclaration($headJs);*/
			
			if($this->profile->share_facebook == 1 || $this->profile->lbox_share_facebook == 1 || $this->profile->allow_comments == 4 || $this->profile->lbox_allow_comments == 4)
			{
				$fb_comments_userid = $this->params->get('fb_comments_userid', '');
				if( !empty($fb_comments_userid) )
				{
					$document->addCustomTag('<meta property="fb:admins" content="'.$fb_comments_userid.'" />');
				}
				
				$fb_comments_appid = $this->params->get('fb_comments_appid', '');
				if( !empty($fb_comments_appid) )
				{
					$document->addCustomTag('<meta property="fb:app_id" content="'.$fb_comments_appid.'" />');
				}
				
				if( (empty($fb_comments_userid) || empty($fb_comments_appid) ) && ($this->profile->allow_comments == 4 || $this->profile->lbox_allow_comments == 4) )
				{
					JError::raise(2, 500, JText::_('Facebook comments are On, Please enter a facebook user id and app into the gallery component options, See support common questions') );
				}
			}
				
			$imageFromUrl = $input->get('image', '');
				
			if(!empty($imageFromUrl))
			{
				for($i=0; $i<count($this->photoList); $i++)
				{
					if( JFile::stripExt($this->photoList[$i]->filename) == $imageFromUrl)
					{
						$imagePath = VT_IMAGE_HTML_RESIZE.$this->thumbFiles[$i]['folderName'].'/'.$this->thumbFiles[$i]['fullFileName'];
						$metaTag = '<meta property="og:image" content="'.$imagePath.'" />';
		
						$document->addCustomTag($metaTag);
						
						if(!empty($this->photoList[$i]->alt_text))
						{
							$document->addCustomTag('<meta property="og:title" content="'.$this->photoList[$i]->alt_text.'" />');
						}
						
						if(!empty($this->photoList[$i]->description))
						{
							$imageDescription = $this->photoList[$i]->description;
							$document->addCustomTag('<meta property="og:description" content="'.JFilterOutput::cleanText($imageDescription).'" />');
						}
						
						break;
					}
				}
			}
			
		}
		
		
		//add the stylesheets
		if(count($this->categoryChildren)){
		$document->addStyleSheet(VT_HOST.'media/com_vtemgallery/css/categorylist.css');
		}
		$document->addStyleSheet(VT_HOST.'media/com_vtemgallery/css/category.css');
		$document->addScript(VT_HOST.'media/com_vtemgallery/js/colorbox/jquery.colorbox-min.js');
		$document->addScript(VT_HOST.'media/com_vtemgallery/js/jquery.wookmark.min.js');
		if($this->profile->show_slideshow_controls == 1){
		$document->addStyleSheet(VT_HOST.'media/com_vtemgallery/js/colorbox/colorbox.css');
		}else{
		$document->addStyleSheet(VT_HOST.'media/com_vtemgallery/js/colorbox/basic.css');
		}
		$galleryStyle = '
			.vtem_gallery_thumb{ width:'.$this->profile->thumb_width.'px; height:'.$this->profile->thumb_height.'px;}
			.vtem_info{width:'.$this->profile->thumb_width.'px;}
			.vtemgallery_thumb_tape .gallery span.over{left:'.(($this->profile->thumb_width-70)/2).'px; background: url('.VT_HOST.'media/com_vtemgallery/images/tape.png) no-repeat;}
			.vtemgallery_thumb_pin .gallery span.over{left:'.($this->profile->thumb_width/2).'px; background: url('.VT_HOST.'media/com_vtemgallery/images/pin.png) no-repeat;}
			.vtemgallery_thumb_paper-clip .gallery span.over{background: url('.VT_HOST.'media/com_vtemgallery/images/paper-clip.png) no-repeat;}
			.vtemgallery_thumb_glossy-gradient .gallery span.over{background: url('.VT_HOST.'media/com_vtemgallery/images/glossy-gradient.png) no-repeat;}
		';
		$document->addStyleDeclaration($galleryStyle);		
		//component only stuff
		if($this->source == 'component')
	    {
    		vtUtilityHelper::writeBreadcrumbs($this->category);
    		$document->setTitle($this->category->name);
    		$description = $this->category->gallery_description;
			if(strlen($description) > 2)
			{
		    	$document->setDescription( substr( JFilterOutput::cleanText($description), 0, 200 )  );
			}
	    }
	    
	    parent::display('main');
	}
}