<?php
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class vtemphotoViewVtemphoto extends JView
{
	function display($tpl = null)
	{
		$model =& $this->getModel();
		$configArray =& JComponentHelper::getParams('com_vtemgallery');
		
		$items		= $this->get( 'DataFrontend');
		$category   = $model->getCategory( JRequest::getInt('catid',0) );
		$profile    = $model->getProfile($category->profile);
		
		$thumbFiles = array();
	    $mainFiles = array();
		
		for ($i=0; $i<count($items); $i++)
		{
		    $row =& $items[$i];
		    
		    if(! $thumbFiles[$i] = igFileHelper::originalToResized($row->filename, $profile->thumb_width, 
		    $profile->thumb_height, $profile->img_quality) )
		    {
		        return false;
		    }
		    
		    if(! $mainFiles[$i] = igFileHelper::originalToResized($row->filename, $profile->max_width, 
		    $profile->max_height, $profile->img_quality) )
		    {
		        return false;
		    }	
		}
		
		if(JRequest::getInt('moderateMsg', 0) == 1)
		{
			JFactory::getApplication()->enqueueMessage( JText::_( 'YOUR ADDITION WILL DISPLAY' ) );
		}
		
		$document =& JFactory::getDocument();
		$document->addStyleSheet(VTEM_HOST.'components/com_vtemgallery/css/admintable.css');
		
		echo '<div style="width:100%; text-align: right;"><a href="'.JRoute::_('index.php?option=com_vtemgallery&controller=vtemcategories&view=vtemcategories').'">'.JText::_('BACK TO MENU').'</a></div>';
		echo '<div class="componentheading">'.JText::_( 'MANAGE PHOTOS').' - '.$category->name.'</div>';
        
		$uploader = $configArray->get('file_uploader', 'swfupload');
		$uploaderFileName = VTEM_UPLOAD_PATH.DS.$uploader.DS.$uploader.'.php';
		$uploaderClassName = 'igUpload'.ucfirst($uploader);
		$headJsFunctionName = $uploader.'HeadJs';
		$htmlFunctionName = $uploader.'HTML';
	
		require_once($uploaderFileName);
		call_user_func( array($uploaderClassName, $headJsFunctionName) );
		call_user_func( array($uploaderClassName, $htmlFunctionName) );
		
		$db	=& JFactory::getDBO();
		$moderate = $configArray->get('moderate_img', 0);
		
		$Itemid = JRequest::getInt('Itemid', '');
		
		$this->assignRef('moderate',	$moderate);
		$this->assignRef('Itemid', $Itemid);
		$this->assignRef('db',		    $db);
		$this->assignRef('items',		$items);
		$this->assignRef('category',	$category);
		$this->assignRef('profile',		$profile);
		$this->assignRef('thumbFiles',  $thumbFiles);
		$this->assignRef('mainFiles',   $mainFiles);
        
		parent::display($tpl);
	}
}