<?php
/**
 * @package		Joomla
 * @subpackage	VtemGallery Module
 * @copyright Copyright (C) 2010 VTEM. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.vtem.net
 */
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$document->addStyleSheet( 'modules/mod_vtemgallery/css/jquery.lightbox-0.5.css' );
$document->addStyleSheet( 'modules/mod_vtemgallery/css/style.css' );

$modStyle = $params->get('modStyle', 'basic');
$width = $params->get('width', '150');
$height = $params->get('height', '100');
$show_images = $params->get('show_images', 1);
if($params->get('jqueryload'))
	echo '<script src="'.JURI::base().'modules/mod_vtemgallery/js/jquery.js" type="text/javascript"></script>';
echo '<div id="vtem_gallery" class="mod_gallery '.$modStyle.' clearfix">';
if($show_images == 0):
$document->addStyleDeclaration('.mod_gallery .vt_gallery{width:'.$width.'; height:'.$height.';}');
echo '<script src="'.JURI::base().'modules/mod_vtemgallery/js/jquery.lightbox-0.5.min.js" type="text/javascript"></script>'.
	'<script type="text/javascript">
		(function($) {
		$(function() {
			$("#vtem_gallery a").lightBox();
			$("a.vtem_img_link").prepend("<span class=\'over\'></span>");'.
			(($modStyle == 'cut-corner') ? '$("a.vtem_img_link").prepend("<span class=\'corner-lt\'></span><span class=\'corner-rt\'></span><span class=\'corner-lb\'></span><span class=\'corner-rb\'></span>");' : '').	
		'});
	})(jQuery);
	</script>';
    foreach($images as $img){
		echo "<span class='vt_gallery gallery'><a class='vtem_img_link' title='".$img."' href='".JURI::base().$imagePath.$img."'><img class='mod_vtem_gallery_thumb' src='".JURI::base().$imagePath.$img."' /></a></span>";
	}
elseif($show_images == 1):
	JRequest::setVar('vtsource', 'module');
	JRequest::setVar('vtuniqueid', 'M'.$module->id);
	JRequest::setVar('vtemid', $params->get('category_id'));
	JRequest::setVar('vttype', $params->get('type'));
	JRequest::setVar('vtchild', $params->get('children'));
	JRequest::setVar('vtpid', $params->get('profile_id'));
	JRequest::setVar('vttags', $params->get('tag'));
	JRequest::setVar('vtlimit', $params->get('photo_limit'));
	$view = JRequest::getCmd('view',null);
	$layout= JRequest::getCmd('layout',null);
	JRequest::setVar('view', 'category');
	JRequest::setVar('layout', 'default');
	$lang = JFactory::getLanguage();
	$lang->load('com_vtemgallery', JPATH_ADMINISTRATOR);
	require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_vtemgallery'.DS.'defines.php');
	require_once(VT_COMPONENT.'controller.php');
	$controller = new VtController();
	$controller->execute('display');
	if($view != null)
		JRequest::setVar('view', $view);
	if($layout != null)
		JRequest::setVar('layout', $layout);
endif;
echo '</div>';
?>