<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controlleradmin');

class vtemgalleryControllerImage extends JControllerAdmin
{
	public function getModel($name = 'Image', $prefix = 'VTEMgalleryModel', $config = Array())
	{
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		return $model;
	}
	
	function plUpload()
	{
		if(!vtGeneralHelper::authorise('core.create', JFactory::getApplication()->input->get('catid', 0) ) )
		{
			echo JText::_('JERROR_ALERTNOAUTHOR');
			return false;
		}
		
		$fileName = $_FILES['file']['name'];
		$tmpPath = $_FILES['file']['tmp_name'];
		$uploadError = $_FILES['file']['error'];
		
		if(! $fileData = vtFileHelper::processUploadedImage($fileName, $tmpPath, $uploadError, 'vtemgallery_img', false) )
		{
			return false;
		}
		
		$model = $this->getModel();
		
		if (!$model->store($fileData) ) 
		{
			return false;
		}
		
		echo 1;
	}
	
	function serverImport()
	{
		if(!vtGeneralHelper::authorise('core.admin'))
		{
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
		}
		
		$filePathRaw = JFactory::getApplication()->input->get('path');
		$filePath = str_replace('*','\\',$filePathRaw);
		
		if(! $fileData = vtFileHelper::processImportedImage($filePath) )
		{
			return false;
		}
		
		$model = $this->getModel();
		
		if (!$model->store($fileData) ) 
		{
			echo $model->getError();
			return false;
		}
		
		echo 1;
	}
}