<?php
defined('_JEXEC') or die('Restricted access');

//define the paths used in php
define('VTEM_ADMINISTRATOR_COMPONENT', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_vtemgallery');
define( 'VTEM_IMAGE_PATH', JPATH_SITE.DS.'images'.DS.'vtemgallery');
define( 'VTEM_TEMP_PATH', JPATH_SITE.DS.'images'.DS.'vtemgallery'.DS.'temp');
define( 'VTEM_ORIG_PATH', JPATH_SITE.DS.'images'.DS.'vtemgallery'.DS.'original');
define( 'VTEM_RESIZE_PATH', JPATH_SITE.DS.'images'.DS.'vtemgallery'.DS.'resized');
define( 'VTEM_UPLOAD_PATH', VTEM_ADMINISTRATOR_COMPONENT.DS.'lib'.DS.'uploaders');
define( 'VTEM_COMPONENT', JPATH_SITE.DS.'components'.DS.'com_vtemgallery'.DS);

//define the paths that will be outputted to the brower
define( 'VTEM_HOST', JURI::root() );
define( 'VTEM_IMAGE_HTML_RESIZE', JURI::root().'images/vtemgallery/resized/');
define( 'VTEM_IMAGE_HTML_ORIG', JURI::root().'images/vtemgallery/original/');
define( 'VTEM_IMAGE_ASSET_PATH', JURI::root().'components/com_vtemgallery/images/');

//import some classes
jimport('joomla.environment.uri' );
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

require_once(VTEM_ADMINISTRATOR_COMPONENT.DS.'helpers'.DS.'html.php');
require_once(VTEM_ADMINISTRATOR_COMPONENT.DS.'helpers'.DS.'file.php');
require_once(VTEM_ADMINISTRATOR_COMPONENT.DS.'helpers'.DS.'upload.php');
require_once(VTEM_ADMINISTRATOR_COMPONENT.DS.'models'.DS.'vtembase.php');
require_once(VTEM_ADMINISTRATOR_COMPONENT.DS.'controllers'.DS.'vtembase.php');

//make the base folders
igFileHelper::makeFolder(VTEM_IMAGE_PATH);
igFileHelper::makeFolder(VTEM_TEMP_PATH);
igFileHelper::makeFolder(VTEM_ORIG_PATH);
igFileHelper::makeFolder(VTEM_RESIZE_PATH);

?>