<?php
defined('_JEXEC') or die('Restricted access');
//edited tjs
class igHtmlHelper
{
    function getCategorySelect($name, $key, $value, $exclude, $selectText, $top, $size, $submit, $active, $tree=true)
	{
	    $db	=& JFactory::getDBO();

	    $where = empty($exclude) ? '' : ' WHERE id != '.(int)$exclude;

	    $query = 'SELECT * FROM #__vtemgallery '.$where.' ORDER BY parent, ordering';
		$db->setQuery($query);
		$categories = $db->loadObjectList();

		$children = array();

		if( !empty($categories) )
		{
			if($tree)
			{
				foreach($categories as $category)
				{
					$parent = $category->parent;

					if(@$children[$parent])
					{
						$list = $children[$parent];
					}
					else
					{
						$list = array();
					}

					array_push($list,$category);

					$children[$parent] = $list;
				}
			}
		}

		if($tree)
		{
			$menuTree = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );
		}
		else
		{
			for($i=0; $i<count($categories); $i++)
			{
				$categories[$i]->treename = $categories[$i]->name;
			}
			$menuTree = $categories;
		}

		$selectOptions     = array();

		if($selectText)
		{
		    $selectOptions[]   = JHTML::_('select.option', '0', '- '.JText::_('SELECT CATEGORY').' -', $key, $value);
		}

		if($top)
		{
		    $selectOptions[]   = JHTML::_('select.option', '0', JText::_('Top'), $key, $value );
		}

		foreach($menuTree as $branch)
		{
			$selectOptions[] = JHTML::_('select.option', $branch->id, '&nbsp;&nbsp;&nbsp;'. $branch->treename, $key, $value);
		}

		$html = 'class="inputbox" size="'.$size.'" ';
        $javascript = $submit == true ? 'onchange="document.adminForm.submit();"' : '';

		$parentSelectList = JHTML::_("select.genericlist", $selectOptions, $name, $html.$javascript, $key, $value, $active );
		return $parentSelectList;
	}

	function getUserList($selectedUser)
	{
	    $db	=& JFactory::getDBO();
	    $query = 'SELECT * FROM #__users WHERE block = 0 ORDER BY id';
		$db->setQuery($query);
		$users = $db->loadObjectList();

		for($i=0; $i<count($users); $i++)
		{
			$users[$i]->value = $users[$i]->id;
			$users[$i]->text = $users[$i]->id.' - '.$users[$i]->name.' ('.$users[$i]->username.')';
		}

		$userList = JHTML::_('select.genericlist', $users, 'user', 'class="inputbox" size="1"', 'value', 'text',$selectedUser );

		return $userList;
	}

	function getProfileList($selectedProfile)
	{
	    $db	=& JFactory::getDBO();
	    $query = 'SELECT id AS value, name AS text FROM #__vtemgallery_profiles ORDER BY ordering';
		$db->setQuery($query);
		$profiles = $db->loadObjectList();
		$profileList = JHTML::_('select.genericlist', $profiles, 'profile', 'class="inputbox" size="1"', 'value', 'text',$selectedProfile );

		return $profileList;
	}

	function getACLSelect($name, $selected, $checkFrontendEnabled=true)
	{
		$configArray =& JComponentHelper::getParams('com_vtemgallery');
		$disabled = $checkFrontendEnabled == true && $configArray->get('allow_frontend_creation', 0) == 0 ? true : false;
		$selected = $disabled == true ? 0 : $selected;
		
		$acl =& JFactory::getACL();
		$selectOptions = array();
		$selectOptions[] = JHTML::_('select.option', 2, JText::_('ALL'),'value','text',$disabled );
		$selectOptions[] = JHTML::_('select.option', 0, JText::_('NOBODY'),'value','text',$disabled );
		$selectOptions[] = JHTML::_('select.option', 1, JText::_('OWNER'),'value','text',$disabled );
		

		$gtree = $acl->get_group_children_tree( null, 'Public Frontend', false );
		foreach($gtree as $branch)
		{
			$selectOptions[] = JHTML::_('select.option', $branch->value, $branch->text,'value','text',$disabled);
		}

		$db	=& JFactory::getDBO();
	    $query = 'SELECT * FROM #__users WHERE block = 0 ORDER BY id';
		$db->setQuery($query);
		$users = $db->loadObjectList();

		for($i=0; $i<count($users); $i++)
		{
			$selectOptions[] = JHTML::_('select.option', $users[$i]->id, $users[$i]->id.' - '.$users[$i]->name.' ('.$users[$i]->username.')','value','text',$disabled);
		}
		
		$list 	= JHTML::_('select.genericlist', $selectOptions, $name.'[]', 'size="10" multiple="multiple" '.$disabled, 'value', 'text', $selected );

		return $list;
	}

	function moderateImage($row, $i, $backend)
	{
		$img 	= $row->moderate ? 'tick.png' : 'unmoderate.png';
		$task 	= $row->moderate  ? 'unmoderate' : 'moderate';
		$alt 	= $row->published ? JText::_( 'MODERATE' ) : JText::_( 'UNMODERATE' );

		$href = '';
		if($backend)
		{
			$href .= '<a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $task .'\')" title="'. $alt .'">';
		}

		$href .= '<img src="'. VTEM_IMAGE_ASSET_PATH. $img .'" border="0" alt="'. $alt .'" />';

		if($backend)
		{
			$href .= '</a>';
		}

		return $href;
	}

	function getGalleryDimensions($mainFiles, $lboxFiles, $profile)
	{
        //work out the largest width/height of the images
        $largestHeight = 0;
		$largestWidth = 0;
		$largestLboxHeight = 0;
		$largestLboxWidth = 0;

        for ($i=0; $i<count($mainFiles); $i++)
		{
		    $largestWidth = $mainFiles[$i]['width'] > $largestWidth ? $mainFiles[$i]['width'] : $largestWidth;
		    $largestHeight = $mainFiles[$i]['height'] > $largestHeight ? $mainFiles[$i]['height'] : $largestHeight;
		    $largestLboxWidth = $lboxFiles[$i]['width'] > $largestLboxWidth ? $lboxFiles[$i]['width'] : $largestLboxWidth;
		    $largestLboxHeight = $lboxFiles[$i]['height'] > $largestLboxHeight ? $lboxFiles[$i]['height'] : $largestLboxHeight;
        }
       
		//work out the overall gallery width
		
		$galleryLboxWidth = $largestLboxWidth;

		$thumbRowCount = $profile->images_per_row == 0 ? count($mainFiles) : $profile->images_per_row;
		$galleryWidth = ($profile->thumb_width + 20) * $thumbRowCount;

	    //add 10 pixels for large_img padding
	    $galleryWidth = $galleryWidth + 10;
		$galleryLboxWidth = $galleryLboxWidth + 10;

		//add 14px for grey border shadow css
		if($profile->style == 'grey-border-shadow')
		{
            $galleryWidth = $galleryWidth + 14;
            $largestWidth = $largestWidth + 14;
		    $largestHeight = $largestHeight + 14;

		    $galleryLboxWidth = $galleryLboxWidth + 14;
		    $largestLboxWidth  = $largestLboxWidth + 14;
		    $largestLboxHeight = $largestLboxHeight + 14;
		}

		$sizesArray = array();
		$sizesArray['largestWidth'] = $largestWidth;
		$sizesArray['largestHeight'] = $largestHeight;
		$sizesArray['galleryWidth'] = $galleryWidth;
		$sizesArray['largestLboxWidth'] = $largestLboxWidth;
		$sizesArray['largestLboxHeight'] = $largestLboxHeight;
		$sizesArray['galleryLboxWidth'] = $galleryLboxWidth;

        return $sizesArray;

	}

	function writeBreadcrumbs($category)
	{
	    global $mainframe;
	    $db	=& JFactory::getDBO();

	    $pathway =& $mainframe->getPathway();

		$breadCrumbs = array();
		$breadCrumbsLinks = array();

		$Itemid = JRequest::getInt('Itemid', null);
		if( !is_null($Itemid) )
		{
            $menu = $mainframe->getMenu();
            $active = $menu->getActive();
            $idOfMenuCategory = (isset($active->query['id'])) ? $active->query['id'] : $active->id;
		}
		else
		{
		    $idOfMenuCategory = 0;
		}

        if($category->id != $idOfMenuCategory)
		{
            $breadCrumbs[] = $category->name;
            $breadCrumbsLinks[] = '';

            if($category->parent != 0)
            {
                $query = 'SELECT * FROM #__vtemgallery WHERE id = '.(int)$category->parent;
                $db->setQuery($query);
                $bcCategory = $db->loadObject();

                if($bcCategory->id != $idOfMenuCategory)
		        {
                    array_unshift($breadCrumbs, $bcCategory->name);
                    array_unshift($breadCrumbsLinks, JRoute::_('index.php?option=com_vtemgallery&amp;view=vtemcategory&amp;id='.$bcCategory->id) );

                    while($bcCategory->parent != 0)
                    {
                    	$query = 'SELECT * FROM #__vtemgallery WHERE id = '.(int)$bcCategory->parent;
                    	$db->setQuery($query);
                    	$bcCategory = $db->loadObject();

                    	if($bcCategory->id == $idOfMenuCategory)
		                {
		                    break;
		                }

		                array_unshift($breadCrumbs, $bcCategory->name);
                    	array_unshift($breadCrumbsLinks, JRoute::_('index.php?option=com_vtemgallery&amp;view=vtemcategory&amp;id='.$bcCategory->id) );
		            }
		        }
            }
		}

        for($i=0; $i<count($breadCrumbs); $i++)
		{
			$pathway->addItem($breadCrumbs[$i], $breadCrumbsLinks[$i]);
		}
	}

	function gTreeRecurse($id, $list, &$children, $maxlevel=9999, $level=0)
	{
	    if (@$children[$id] && $level <= $maxlevel)
    	{
    		foreach ($children[$id] as $v)
    		{
    			$id = $v->id;

    			$list[$id] = $v;

    	        if($v->parent != $id)
    	        {
    		        $list[$v->parent]->children[$v->id] = $v;
    			}
    			else
    			{
        			$list[$id]->children = array();
    			}

    			$list = igHtmlHelper::gTreeRecurse($id,$list,$children,$maxlevel,$level+1);
    		}
    	}
    	return $list;
	}

	function flattenNestedList($children,$needle = false,$collection = array())
	{
	    foreach($children as $k => $v)
        {
            if(!empty($v->children)) {
                $collection = igHtmlHelper::flattenNestedList($v->children,$needle,$collection);
            }

            if(is_array($needle)) {
                $ret = array();
                foreach($needle as $n)
                {
                    $ret[$n] = $v->$n;
                }
                $collection[] = $ret;
            }
            else
            {
                $collection[] = $v->id;
            }
        }

        return $collection;
    }

    function getChildList($parentId,$type = 'nested')
	{
	    $db =& JFactory::getDBO();
	    $query = 'SELECT g.* FROM #__vtemgallery AS g WHERE g.published = 1 '.
	    'ORDER BY g.parent, g.ordering';
        $db->setQuery($query);

        $mitems = $db->loadObjectList();

        $children = array();

        if($mitems)
        {
            $list = array();

            foreach($mitems as $v)
            {
                $pt = $v->parent;
                $list = @$children[$pt] ? $children[$pt] : array();
                array_push($list,$v);
                $children[$pt] = $list;
            }

            $collection = igHtmlHelper::gTreeRecurse(0,array(),$children,9999,0);

            if( isset($collection[$parentId]->children) )
            {
                $result = $collection[$parentId]->children;

                if($type == 'flat')
                {
                    $result = igHtmlHelper::flattenNestedList($result);
                }
            }
            else
            {
                $result = array();
            }
        }

        JArrayHelper::toInteger($result);

        return $result;
	}
	
	function getFolderList()
	{
		$configArray =& JComponentHelper::getParams('com_vtemgallery');
		$configPath = $configArray->get('import_server_base', 'images');
		
		$path = JPATH_SITE.DS.$configPath;
		$folderArray = JFolder::listFolderTree($path, '.', 5);
		
		$options = array();
		$options[] = JHTML::_('select.option', '', JText::_('SELECT FROM LIST') );
		foreach($folderArray as $folder)
		{
			$options[] = JHTML::_('select.option', $folder['relname'], $folder['relname']);
		}
		
		$selectlist = JHTML::_('select.genericlist', $options, 'server_import', 'class="inputbox" size="1"');
		
		return $selectlist;
	}
	
	function getItemid($catId)
	{
		global $mainframe;
		
		$menu = $mainframe->getMenu();
		$menuItems = $menu->getMenu();
		
		$igMenuItems = array();
		
		//get all of the menu items that link to a category
		//as $igMenuItems[itemid] = catid
		foreach($menuItems as $key => $value)
		{
			if($value->component == 'com_vtemgallery' && $value->query['view'] == 'vtemcategory')
			{
				$igMenuItems[$value->id] = $value->query['id'];
			}
		}
		
		//if there are none, return the current itemid
		if(count($igMenuItems) == 0)
		{
			return JRequest::getVar('Itemid', 1);
		}
		
		//if there is one, return that itemid
		if(count($igMenuItems) == 1)
		{
			return key($igMenuItems);
		}
		
		//if there is more than one...
		if(count($igMenuItems) > 1)
		{
			//if one of the menu items links to the target cat, then return that
			foreach($igMenuItems as $key => $value)
			{
				if($value == $catId)
				{
					return $key;
				}
			}
			
			//otherwise get all of the target cat's parents
			$parentCats = array();
			$db	=& JFactory::getDBO();
			
			$query = 'SELECT * FROM #__vtemgallery WHERE id = '.$catId;
            $db->setQuery($query);
            $row = $db->loadObject();

            while($row->parent != 0)
            {
                $query = 'SELECT * FROM #__vtemgallery WHERE id = '.(int)$row->parent;
                $db->setQuery($query);
                $row = $db->loadObject();
                $parentCats[] = $row->id;
            }
            
            //for each menu item, loop through all the parents and try to find a match
			foreach($igMenuItems as $key => $value)
			{
				for($i=0; $i<count($parentCats); $i++)
				{
					if($value == $parentCats[$i])
					{
						return $key;
					}
				}
			}
			
			//if nothing can be found, return the current itemid
			return JRequest::getVar('Itemid', 1);
		}
	}
}