<?php
defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');


class JFormFieldVtprofile extends JFormField
{
	protected $type = 'Vtprofile';

	protected function getInput()
	{
		$option = JFactory::getApplication()->input->get('option');
		if($option == 'com_config')
		{
			$params =& JComponentHelper::getParams('com_vtemgallery'); 
			$selected = $params->get('default_profile', 0);
			
		}
		else if(strpos($option, 'module') )
		{
			$vtparams = $this->form->getValue('params');
			$selected = isset($vtparams->profile_id) ? $vtparams->profile_id : 0;
		}
		else
		{
			$selected = $this->form->getValue('profile');
		}
		
		$db =& JFactory::getDBO();
	    $query = "SELECT id as value, name as text FROM #__vtemgallery_profiles WHERE published = 1 ORDER BY ordering";
	    $db->setQuery( $query );
	    $profiles = $db->loadObjectList();
		
	    $selectHTML = JHTML::_("select.genericlist", $profiles, $this->name, 'class="inputbox"', 'value', 'text', $selected);
	
	    return $selectHTML;
	}
}