<?php
defined('_JEXEC') or die( 'Restricted access' );
jimport( 'joomla.application.component.view');

class vtemprofileViewAdd_edit_profile extends JView
{
	function display($tpl = null)
	{
		$db	=& JFactory::getDBO();
		$profile =& $this->get('Data');

		if(empty($profile->id))
		{
			JToolBarHelper::title( JText::_('NEW PROFILE') );
		}
		else
		{
			JToolBarHelper::title( JText::_('Edit Configuration'));
			JToolBarHelper::apply();
		}

		JToolBarHelper::cancel();


		//make the html form elements
		$lists = array();

		$lists['show_search'] = JHTML::_('select.booleanlist',  'show_search', 'class="inputbox"', $profile->show_search );

		$lists['show_cat_title'] = JHTML::_('select.booleanlist',  'show_cat_title', 'class="inputbox"', $profile->show_cat_title );
	
		$refresh_mode = array();
		$refresh_mode[] = JHTML::_( 'select.option', 'javascript', JText::_( 'JAVASCRIPT' ) );
		$refresh_mode[] = JHTML::_( 'select.option', 'hash', JText::_( 'JAVASCRIPT WITH HASH' ) );
		$lists['refresh_mode'] = JHTML::_('select.radiolist', $refresh_mode, 'refresh_mode', 'class="inputbox" ', 'value', 'text', $profile->refresh_mode, 'refresh_mode' );
		
		//menu tab
		$lists['crop_menu'] = JHTML::_('select.booleanlist', 'crop_menu', 'class="inputbox"', $profile->crop_menu );

		//main image tab

		$lists['preload'] = JHTML::_('select.booleanlist', 'preload', 'class="inputbox"', $profile->preload );

		$lists['magnify'] = JHTML::_('select.booleanlist', 'magnify', 'class="inputbox"', $profile->magnify );
		
		$lists['show_image_title'] = JHTML::_('select.booleanlist', 'show_image_title', 'class="inputbox"', $profile->show_image_title );
		
		$lists['thumb_pagination'] = JHTML::_('select.booleanlist', 'thumb_pagination', 'class="inputbox"', $profile->thumb_pagination );
		
		// thumb style
		$thumbnail_style = array();
		$thumbnail_style[] = JHTML::_( 'select.option', 'basic', JText::_( 'basic' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'tape', JText::_( 'tape' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'pin', JText::_( 'pin' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'paper-clip', JText::_( 'paper-clip' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'glossy-gradient', JText::_( 'glossy-gradient' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'cut-corner', JText::_( 'cut-corner' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'round-corner', JText::_( 'round-corner' ) );
		$thumbnail_style[] = JHTML::_( 'select.option', 'mask', JText::_( 'mask' ) );
		$lists['thumbnail_style'] = JHTML::_('select.genericlist', $thumbnail_style, 'thumbnail_style', 'class="inputbox" ', 'value', 'text', $profile->thumbnail_style, 'thumbnail_style' );
		
		$thumb_pagination_amount = array();
		$thumb_pagination_amount[5] = JHTML::_( 'select.option', 5, 5 );
		$thumb_pagination_amount[10] = JHTML::_( 'select.option', 10, 10 );
		$thumb_pagination_amount[15] = JHTML::_( 'select.option', 15, 15 );
		$thumb_pagination_amount[20] = JHTML::_( 'select.option', 20, 20 );
		$thumb_pagination_amount[25] = JHTML::_( 'select.option', 25, 25 );
		$thumb_pagination_amount[30] = JHTML::_( 'select.option', 30, 30 );
		$thumb_pagination_amount[35] = JHTML::_( 'select.option', 35, 35 );
		$thumb_pagination_amount[40] = JHTML::_( 'select.option', 40, 40 );
		$thumb_pagination_amount[45] = JHTML::_( 'select.option', 45, 45 );
		$thumb_pagination_amount[50] = JHTML::_( 'select.option', 50, 50 );
		
		$lists['thumb_pagination_amount'] = JHTML::_('select.genericlist', $thumb_pagination_amount, 'thumb_pagination_amount', 'class="inputbox" size="1"', 'value', 'text', $profile->thumb_pagination_amount );


		//other tab
		$gallery_des_position = array();
		$gallery_des_position[] = JHTML::_( 'select.option', 'above', JText::_( 'ABOVE' ) );
		$gallery_des_position[] = JHTML::_( 'select.option', 'below', JText::_( 'BELOW' ) );
		$gallery_des_position[] = JHTML::_( 'select.option', 'none', JText::_( 'NONE' ) );
		$lists['gallery_des_position'] = JHTML::_('select.radiolist', $gallery_des_position, 'gallery_des_position', 'class="inputbox" ', 'value', 'text', $profile->gallery_des_position, 'gallery_des_position' );

		$styles = array();
		$styles['style1'] = JHTML::_( 'select.option', 'style1', JText::_( 'Style1' ) );
		$styles['style2'] = JHTML::_( 'select.option', 'style2', JText::_( 'Style2' ) );
		$lists['style'] = JHTML::_('select.genericlist', $styles, 'style', 'class="inputbox" size="2"', 'value', 'text', $profile->style, '', 1 );
				
		$lists['show_descriptions'] = JHTML::_('select.booleanlist',  'show_descriptions', 'class="inputbox"', $profile->show_descriptions );
		
		// category list
		$lists['show_cats_title'] = JHTML::_('select.booleanlist',  'show_cats_title', 'class="inputbox"', $profile->show_cats_title );
		$lists['show_cats_desc'] = JHTML::_('select.booleanlist',  'show_cats_desc', 'class="inputbox"', $profile->show_cats_desc );
		$lists['enable_slideshow'] = JHTML::_('select.booleanlist',  'enable_slideshow', 'class="inputbox"', $profile->enable_slideshow );
		$lists['lbox_control'] = JHTML::_('select.booleanlist',  'lbox_control', 'class="inputbox"', $profile->lbox_control );
		$lists['lbox_crop_thumbs'] = JHTML::_('select.booleanlist',  'lbox_crop_thumbs', 'class="inputbox"', $profile->lbox_crop_thumbs );

		//frontend acl tab
		$lists['acl_cat_menu'] 	 	 = igHtmlHelper::getACLSelect('acl_cat_menu', explode(',', $profile->acl_cat_menu), false );
		$lists['acl_cat_display'] 	 = igHtmlHelper::getACLSelect('acl_cat_display', explode(',', $profile->acl_cat_display), false );
		$lists['acl_cat_view'] 	     = igHtmlHelper::getACLSelect('acl_cat_view', explode(',', $profile->acl_cat_view) );
		$lists['acl_cat_edit'] 	     = igHtmlHelper::getACLSelect('acl_cat_edit', explode(',', $profile->acl_cat_edit) );
		$lists['acl_cat_delete'] 	 = igHtmlHelper::getACLSelect('acl_cat_delete', explode(',', $profile->acl_cat_delete) );
		$lists['acl_cat_publish'] 	 = igHtmlHelper::getACLSelect('acl_cat_publish', explode(',', $profile->acl_cat_publish) );
		$lists['acl_cat_order'] 	 = igHtmlHelper::getACLSelect('acl_cat_order', explode(',', $profile->acl_cat_order) );
		$lists['acl_upload'] 	     = igHtmlHelper::getACLSelect('acl_upload', explode(',', $profile->acl_upload) );
		$lists['acl_photo_view'] 	 = igHtmlHelper::getACLSelect('acl_photo_view', explode(',', $profile->acl_photo_view) );
		$lists['acl_photo_edit'] 	 = igHtmlHelper::getACLSelect('acl_photo_edit', explode(',', $profile->acl_photo_edit) );
		$lists['acl_photo_del'] 	 = igHtmlHelper::getACLSelect('acl_photo_del', explode(',', $profile->acl_photo_del) );
		$lists['acl_photo_publish']  = igHtmlHelper::getACLSelect('acl_photo_publish', explode(',', $profile->acl_photo_publish) );
		$lists['acl_photo_ordering'] = igHtmlHelper::getACLSelect('acl_photo_ordering', explode(',', $profile->acl_photo_ordering) );

		$this->assignRef('lists',   $lists);
		$this->assignRef('profile',	$profile);

		parent::display($tpl);
	}
}