<?php
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class vtemcategoriesViewAdd_edit_category extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		
		$configArray =& JComponentHelper::getParams('com_vtemgallery');
		
        $model =& $this->getModel();
		
		if( !$model->checkProfileExists() )
		{
		    JError::raise(2, 500, JText::_( 'PLEASE CREATE PROFILE FIRST' ) );
			$mainframe->redirect('index.php?option=com_vtemgallery&controller=vtemcategories');
			return;
		}
		
		$category =& $this->get('Data');
		$profile  =& $model->getProfile($category->profile);
		
        //make the menu image if nescessary
		if( !empty($category->menu_image_filename) )
		{
			if(! $fileArray = igFileHelper::originalToResized($category->menu_image_filename, 200, 150, $profile->img_quality) )
		    {
		        return false;
		    }
		    
		    $this->assignRef('folderName', $fileArray['folderName']);
		    $this->assignRef('fullFileName', $fileArray['fullFileName']);
		}
        
        //make the html form items
        $lists = array();
        
		$lists['parentSelectList'] = igHtmlHelper::getCategorySelect('parent', 'value', 'text', $category->id, false, true, 10, false, $category->parent);

		$lists['published'] = JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $category->published );
		$lists['remove_menu_image'] = JHTML::_('select.booleanlist',  'remove_menu_image', 'class="inputbox"', 0 );
		$lists['profiles'] = igHtmlHelper::getProfileList($category->profile);
        
        $Itemid = JRequest::getInt('Itemid', '');
		
		$this->assignRef('Itemid', $Itemid);
		$this->assignRef('configArray', $configArray);
		$this->assignRef('lists',   $lists);
		$this->assignRef('profile',	$profile);
		$this->assignRef('category',$category);

		parent::display($tpl);
	}
}