<?php
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class vtemcategoriesViewEditorlist extends JView
{
	function display($tpl = null)
	{
		global $mainframe;

	    $db   =& JFactory::getDBO();
		$doc  =& JFactory::getDocument();

		$configArray =& JComponentHelper::getParams('com_vtemgallery');

		$name = JRequest::getWord('e_name');
		$rand = rand(1,9999);

	    /** MAKE CATEGORY LIST **/

		$query = "SELECT * FROM #__vtemgallery WHERE published = 1 ORDER BY parent, ordering";
	    $db->setQuery( $query );

	    $categories = $db->loadObjectList();

	    //make the tree
	    $children = array();
		if($categories )
	    {
	        foreach($categories as $v)
	        {
	            $pt     = $v->parent;
	            $list   = @$children[$pt] ? $children[$pt] : array();
	            array_push($list,$v);
	            $children[$pt] = $list;
	        }
	    }
		$categoryTree = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );

		//make the top select item
	    $selectItems = array();

	    //make the rest of the select items
	    foreach ($categoryTree as $branch)
	    {
	        $selectItems[] = JHTML::_('select.option',$branch->id, '&nbsp;&nbsp;&nbsp;'. $branch->treename);
	    }

	    $categoryList = JHTML::_('select.genericlist', $selectItems, 'vtemgalleryCategorySelect','class="inputbox" ','value','text','','vtemgalleryCategorySelect' );

	    /** MAKE PROFILE LIST **/

	    $db->setQuery( "SELECT id as value, name as text FROM #__vtemgallery_profiles WHERE published = 1 ORDER BY ordering" );
	    $profiles = $db->loadObjectList();
	    $profileList = JHTML::_("select.genericlist", $profiles, 'vtemgalleryProfileSelect', 'class="inputbox"', 'value', 'text', '', 'vtemgalleryProfileSelect' );

        /** MAKE TYPE LIST **/

        $typeOptions = array();
        $typeOptions[] = JHTML::_('select.option','classic', JText::_('CATEGORY'));
        $typeOptions[] = JHTML::_('select.option','random', JText::_('RANDOM IMAGES'));
        $typeOptions[] = JHTML::_('select.option','latest', JText::_('LATEST IMAGES'));
        $typeOptions[] = JHTML::_('select.option','rated', JText::_('HIGHEST RATED'));
        $typeOptions[] = JHTML::_('select.option','commented', JText::_('MOST COMMENTED'));
        $typeOptions[] = JHTML::_('select.option','tagged', JText::_('TAGGED'));
        $typeOptions[] = JHTML::_('select.option','hits', JText::_('MOST VIEWED'));
        $typeList = JHTML::_("select.genericlist", $typeOptions, 'vtemgalleryTypeSelect', 'class="inputbox"', 'value', 'text', '', 'vtemgalleryTypeSelect' );

        /** MAKE CHILDREN LIST **/

        $childrenOptions = array();
        $childrenOptions[] = JHTML::_('select.option','1', JText::_('YES'));
        $childrenOptions[] = JHTML::_('select.option','0', JText::_('NO'));
        $childrenList = JHTML::_("select.genericlist", $childrenOptions, 'vtemgalleryChildren', 'class="inputbox"', 'value', 'text', '', 'vtemgalleryChildren' );

        /** MAKE SHOW MENU LIST **/
		$showMenuOptions = array();
        $showMenuOptions[] = JHTML::_('select.option','1', JText::_('YES'));
        $showMenuOptions[] = JHTML::_('select.option','0', JText::_('NO'));
        $showMenuList = JHTML::_("select.genericlist", $showMenuOptions, 'vtemgalleryShowMenu', 'class="inputbox"', 'value', 'text', '', 'vtemgalleryShowMenu' );


	    $js = '
	    function insertToken() {
    		var catid = $(\'vtemgalleryCategorySelect\').value;
    		var proid = $(\'vtemgalleryProfileSelect\').value;
    		var typeid = $(\'vtemgalleryTypeSelect\').value;
    		var children = $(\'vtemgalleryChildren\').value;
    		var showmenu = $(\'vtemgalleryShowMenu\').value;
    		var tagid = $(\'vtemgalleryTagList\').value;
    		var limit = $(\'vtemgalleryLimit\').value;
    		var uid = $(\'vtemgalleryUniqueId\').value;
    		var token = \'{vtemgallery id="\' + uid + \'" cid="\' + catid + \'" pid="\' + proid + \'" type="\' + typeid + \'" children="\' + children + \'" showmenu="\' + showmenu + \'" tags="\' + tagid + \'" limit="\' + limit + \'"}\';
    		window.parent.jInsertEditorText(token, \''.$name.'\');
    		return false;
		}';

	    switch($configArray->get('js_library',1)) {
	        case 1: JHTML::_('behavior.mootools'); break;
	        case 2: $doc->addScript(VTEM_HOST.'components/com_vtemgallery/javascript/mootools.12.js'); $doc->addScript(VTEM_HOST.'components/com_vtemgallery/javascript/mootools.12.more.js'); break;
	        case 3: $doc->addScript(VTEM_HOST.'components/com_vtemgallery/javascript/jquery.13.js'); break;
	        default: JHTML::_('behavior.mootools');
	    }

	    $doc->addScriptDeclaration($js);

		$this->assignRef('categoryList', $categoryList);
		$this->assignRef('profileList', $profileList);
		$this->assignRef('typeList', $typeList);
		$this->assignRef('childrenList', $childrenList);
		$this->assignRef('showMenuList', $showMenuList);
		$this->assignRef('rand', $rand);

		parent::display($tpl);
    }
}