<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
<?php endif; ?>

<p style="width: 100%; text-align: right;">
	<a href="<?php echo VTEM_HOST; ?>index.php?option=com_vtemgallery&amp;controller=vtemcategories&amp;view=add_edit_category&amp;Itemid=<?php echo $this->Itemid; ?>"><?php echo JText::_( 'NEW CATEGORY' ); ?></a>
</p>

<form id="vtemgalleryForm" name="vtemgalleryForm" method="post" action="index.php" >
<table class="adminlist">
<thead>
	<tr>
		<th class="title">
			<?php echo JText::_( 'NAME' ); ?>
		</th>
		
		<th class="title">
			<?php echo JText::_( 'MANAGE PHOTOS' ); ?>
		</th>
		
		<th class="title">
			<?php echo JText::_( 'ID' ); ?>
		</th>
		
		<th class="title">
			<?php echo JText::_( 'PUBLISHED' ); ?>
		</th>
		
		<?php if( !empty($this->moderate) ): ?>
		<th width="5%" nowrap="nowrap">
			<?php echo JText::_( 'APPROVED' )?>	
		</th>
		<?php endif; ?>
		
		<th class="title">
			<?php echo JText::_( 'DELETE' ); ?>
		</th>
		
		<th class="title">
			<?php echo JText::_( 'ORDER' ); ?> &nbsp;
			<a href="#" onClick="document.vtemgalleryForm.submit();">
				<img src="administrator/images/filesave.png" alt="Save Order" />
			</a>
		</th>
	</tr>
</thead>
	
<tbody>
<?php

$k = 0;
for ($i=0; $i<count($this->items); $i++)
{
	  $row = &$this->items[$i];
	  
	  $editLink 	= JRoute::_('index.php?option=com_vtemgallery&amp;controller=vtemcategories&amp;view=add_edit_category&amp;cid[]='.$row->id.'&Itemid='.$this->Itemid);
	  $managelink 	= JRoute::_('index.php?option=com_vtemgallery&controller=vtemphoto&view=vtemphoto&catid='.$row->id.'&Itemid='.$this->Itemid);
	  $deletelink 	= JRoute::_('index.php?option=com_vtemgallery&amp;controller=vtemcategories&task=remove&cid[]='.$row->id.'&Itemid='.$this->Itemid);
	  $moderateImg 	= igHtmlHelper::moderateImage($row, $i, false);
	  
	  if($row->published == 1)
	  {
		 $publishedText = JText::_( 'PUBLISHED' );
		 $publishedImg = VTEM_HOST.'administrator/images/tick.png';
		 $publishedLink = 'index.php?option=com_vtemgallery&amp;controller=vtemcategories&amp;task=unpublish&cid[]='.$row->id.'&Itemid='.$this->Itemid;
	  }
	  else
	  {
		 $publishedText = JText::_( 'UNPUBLISHED' );
		 $publishedImg = VTEM_HOST.'administrator/images/publish_x.png';
		 $publishedLink = 'index.php?option=com_vtemgallery&amp;controller=vtemcategories&amp;task=publish&cid[]='.$row->id.'&Itemid='.$this->Itemid;
	  }
	  
	  $publishedAcl = vtembaseModel::authenticate('acl_cat_publish', $row->id);
	  $deleteAcl    = vtembaseModel::authenticate('acl_cat_delete', $row->id);
	  $orderAcl    = vtembaseModel::authenticate('acl_cat_order', $row->id);
	
	  $query = 'SELECT id FROM #__vtemgallery_img where gallery_id = '.(int)$row->id;
	  $this->db->setQuery($query);
	  $this->db->query($query);
	  $numPhotos = $this->db->getNumRows();
	?>
	<tr class="<?php echo "row$k"; ?>">
		<td>
			<a href="<?php echo $editLink; ?>"><?php echo $row->name; ?></a>
		</td>
		
		<td>
			<a href="<?php echo $managelink; ?>">
				<?php echo JText::_( 'MANAGE PHOTOS' ); ?> (<?php echo $numPhotos ?>)
			</a>
		</td>
		
		<td>
			<?php echo $row->id; ?>
		</td>
		
		<td>
		<?php if($publishedAcl): ?>
			<a href="<?php echo $publishedLink; ?>">
		<?php endif; ?>
				<img src="<?php echo $publishedImg; ?>" alt="<?php echo $publishedText; ?>" />
		<?php if($publishedAcl): ?>
			</a>
		<?php endif; ?>
		</td>
		
		<?php if( !empty($this->moderate) ): ?>
		<td align="center">
			<?php echo $moderateImg; ?>
		</td>	
		<?php endif; ?>
		
		<td>
		<?php if($deleteAcl): ?>
			<a href="<?php echo $deletelink; ?>" onclick="return confirm('<?php echo JText::_('CONFIRM DELETE CATEGORY'); ?>')">
				<?php echo JText::_( 'DELETE' ); ?>
			</a>
		<?php endif; ?>
		</td>
		
		<td>
		<?php if($orderAcl): ?>
			<input type="text" size="3" name="order[]" value="<?php echo $row->ordering; ?>" />
			<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<?php endif; ?>
		</td>
		
	</tr>
	<?php
	$k = 1 - $k;
}
?>
</tbody>

</table>
<input type="hidden" name="option" value="com_vtemgallery" />
<input type="hidden" name="controller" value="vtemcategories" />
<input type="hidden" name="task" value="saveorder" />
<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
</form>

