<?php
defined('_JEXEC') or die( 'Restricted access' );
jimport( 'joomla.application.component.view');
class vtemcategoryViewvtemcategory extends JView
{
	function display($tpl = null)
	{
	    global $mainframe;
		$source = JRequest::getCmd('source', 'component');
		$configArray =& JComponentHelper::getParams('com_vtemgallery');
		$user =& JFactory::getUser();
	    $document =& JFactory::getDocument();	    
	    
		$model =& $this->getModel('vtemcategory');

		if($source == 'component')
	    {
	        $model->setId( JRequest::getInt('id', 0) );
    	    $model->_limit = JRequest::getInt('imglimit', 0);
    	    $model->_child = JRequest::getInt('children', 1);
    	    $model->_tag = JRequest::getVar('tags', '');
    	    $type = JRequest::getCmd('type','classic');
    	}
        
	    if($source == 'module')
	    {
	        $model->setId( JRequest::getInt('vt_mod_category_id', 0) );
    	    $model->_limit = JRequest::getInt('vt_mod_photo_limit', 0);
    	    $model->_child = JRequest::getInt('vt_mod_children', 0);
    	    $type = JRequest::getCmd('vt_mod_type','classic');
        }
        
        $model->_limit = $model->_limit == 0 ? 1000 : $model->_limit;
        $category = & $this->get('Category');
        

	switch($source) {
		    case 'module'     : $id = 'M'.$moduleId; break;
		    case 'component'  :
		    default           : $id = $category->id;
		}
        
	    if($category == null)
	    {
	        echo JText::_( 'NOT PUBLISHED' );
			return;
	    }

	    if($source == 'module')
	    {
	        $category->profile = JRequest::getInt('vt_mod_profile_id', 1);
	    }
	    
		$profile          = $model->getProfile($category->profile);
		$categoryChildren = $this->get('CategoryChildren');
		$categoryTotal    = $model->_total;
		
		switch($type)
    	{
    	    case 'random'     : $photoList = & $this->get('RandomList');      break;
    	    case 'latest'     : $photoList = & $this->get('LatestList');      break;
     	    case 'tagged'     : $photoList = & $this->get('TaggedList');      break;
    	    case 'hits'       : $photoList = & $this->get('HitsList');        break;
    	    default           : $photoList = & $this->get('PhotoList');
    	}
    	
		if(count($photoList) > 0)
        {
            $photoIdArray = array();

            foreach($photoList as $k => $v)
    	    {
    	        $photoIdArray[] = $v->id;
    	    }

    	    $model->_photoListIds = $photoIdArray;
        }

	    $model->_pagTotal = count($categoryChildren);
        $pagination	= $this->get('pagination');
        $this->assignRef('pagination', $pagination);
        
        $thumbPagination	= $this->get('thumbPagination');
        $this->assignRef('thumbPagination', $thumbPagination);

		//check access control
		$registerLink = $configArray->get('register_link', 'index.php?option=com_user&amp;task=register');

		if($category->published != 1)
		{
			echo JText::_( 'NOT PUBLISHED' );
			return;
		}

		if($category->moderate != 1)
		{
			echo JText::_( 'NOT MODERATED' );
			return;
		}

		if($profile->published == 0)
		{
			echo JText::_('PROFILE UNPUBLISHED');
			return;
		}

		if(!empty($category->id) && !$model->authenticate('acl_cat_display', $category->id, false, false) )
		{
		    if($profile->acl_cat_display == 18)
			{
				header("location: ".$registerLink );
				return;
			}
			else
			{
				echo JText::_('RESTRICTED ACCESS');
				return;
			}
		}
		
		$profile->thumbs_display = 'block';
		
		if( !empty($photoList) )
		{
		    $thumbFiles = array();
    	    $mainFiles = array();
    	    $lboxFiles = array();
    	    $lboxThumbFiles = array();

    		for($i=0; $i<count($photoList); $i++)
    		{
    		    $row =& $photoList[$i];

    		    if(! $thumbFiles[$i] = igFileHelper::originalToResized($row->filename, $profile->thumb_width, $profile->thumb_height, $profile->img_quality) )
    		    {
    		        return false;
    		    }

    		    if(! $mainFiles[$i] = igFileHelper::originalToResized($row->filename, $profile->max_width, $profile->max_height, $profile->img_quality, 0) )
    		    {
    		        return false;
    		    }

    		    if(! $lboxThumbFiles[$i] = igFileHelper::originalToResized($row->filename, $profile->thumb_width, $profile->thumb_height, $profile->img_quality) )
    		    {
    		        return false;
    		    }

    		    if(! $lboxFiles[$i] = igFileHelper::originalToResized($row->filename, $profile->thumb_width, $profile->thumb_height, $profile->img_quality, 0) )
    		    {
    		        return false;
    		    }
    		}

    		$dimensions = igHtmlHelper::getGalleryDimensions($mainFiles, $lboxFiles, $profile);
		}
		
		$document->addStyleSheet(VTEM_HOST.'components/com_vtemgallery/css/categorylist.css');
		$document->addStyleSheet(VTEM_HOST.'components/com_vtemgallery/css/category.css');

		if($source == 'component')
	    {
    		igHtmlHelper::writeBreadcrumbs($category);
    		$document->setTitle($category->name);
    		$metaDes = $category->gallery_description;
		    $document->setDescription( substr( JFilterOutput::cleanText($metaDes), 0, 200 )  );
	    }

	    $Itemid = JRequest::getInt('Itemid', '');
		$guest = $user->get('guest') ? true : false;
		$params = &$mainframe->getParams();

		$this->assignRef('category',          $category);
		$this->assignRef('type',              $type);
		$this->assignRef('profile',           $profile);
		$this->assignRef('categoryChildren',  $categoryChildren);
		$this->assignRef('categoryTotal',     $categoryTotal);
		$this->assignRef('photoList',         $photoList);
		$this->assignRef('thumbFiles',        $thumbFiles);
		$this->assignRef('mainFiles',         $mainFiles);
		$this->assignRef('lboxFiles',         $lboxFiles);
		$this->assignRef('lboxThumbFiles',    $lboxThumbFiles);
		$this->assignRef('dimensions',        $dimensions);
		$this->assignRef('Itemid',            $Itemid);
        $this->assignRef('params',            $params);
		$this->assignRef('id',                $id);
		$this->assignRef('source',            $source);
		$this->assignRef('guest',             $guest);
		$this->assignRef('user',              $user);
		$this->assignRef('registerLink',      $registerLink);

        parent::display($tpl);
	}
}