<?php defined('_JEXEC') or die('Restricted access'); ?>

<script type="text/javascript">
function submitform()
{
  document.vtemgalleryPhotoForm.submit();
}
</script>

<form name="vtemgalleryPhotoForm" method="post" action="index.php" >
<fieldset class="adminform">
<legend><?php echo JText::_( 'CURRENT IMAGES' ); ?></legend>

<table class="adminlist">
<thead>
	<tr>
		
		<th class="title">
			<?php echo JText::_( 'THUMBNAIL' )?>
		</th>
		
		<th class="title">
			<?php echo JText::_( 'DESCRIPTION' )?>
		</th>
	<!--	
		<th class="title">
			<?php echo JText::_( 'ROTATE' )?>
		</th>
	-->	
		<th width="5%" nowrap="nowrap">
			<?php echo JText::_( 'PUBLISHED' )?>	
		</th>
		
		<th width="5%" nowrap="nowrap">
			<?php echo JText::_( 'HITS' )?>	
		</th>
		
		<?php if( !empty($this->moderate) ): ?>
		<th width="5%" nowrap="nowrap">
			<?php echo JText::_( 'APPROVED' )?>	
		</th>
		<?php endif; ?>
		
		<th class="title">
			<?php echo JText::_( 'DELETE' ); ?>
		</th>
		
		<th class="title">
			<?php echo JText::_( 'ORDER' ); ?> &nbsp;
			<a href="javascript: submitform()">
				<img src="<?php echo VTEM_HOST; ?>administrator/images/filesave.png" alt="Save Order" />
			</a>
		</th>
	</tr>
</thead>
	
<tbody>	
<?php
$k = 0;
$numPhotos = count($this->items);
for ($i=0; $i<$numPhotos; $i++)
{
	$row = &$this->items[$i];
	
	$deleteAcl = vtembaseModel::authenticate('acl_photo_del', $this->items[$i]->id);
	$orderAcl = vtembaseModel::authenticate('acl_photo_ordering', $this->items[$i]->id);
	$editAcl = vtembaseModel::authenticate('acl_photo_edit', $this->items[$i]->id);
	
	$editDesLink 	= JRoute::_( 'index.php?option=com_vtemgallery&controller=vtemphoto&view=edit_photo&catid='.$this->category->id.'&cid[]='. $row->id.'&Itemid='.$this->Itemid );
	$deletelink 	= JRoute::_('index.php?option=com_vtemgallery&controller=vtemphoto&task=remove&catid='.$this->category->id.'&cid[]='.$row->id.'&Itemid='.$this->Itemid);
	$moderateImg 	= igHtmlHelper::moderateImage($row, $i, false);
	
	if($row->published == 1)
	{
		$publishedText = JText::_( 'PUBLISHED' );
		$publishedImg = VTEM_HOST.'administrator/images/tick.png';
		$publishedLink = 'index.php?option=com_vtemgallery&controller=vtemphoto&task=unpublish&catid='.$this->category->id.'&cid[]='.$row->id.'&Itemid='.$this->Itemid;
	}
	else
	{
		$publishedText = JText::_( 'UNPUBLISHED' );
		$publishedImg = VTEM_HOST.'administrator/images/publish_x.png';
		$publishedLink = 'index.php?option=com_vtemgallery&controller=vtemphoto&task=publish&catid='.$this->category->id.'&cid[]='.$row->id.'&Itemid='.$this->Itemid;
	}
	$publishedAcl = vtembaseModel::authenticate('acl_photo_publish', $row->id);
	
	$query = 'SELECT name FROM #__groups where id = '.(int)$row->access;
	$this->db->setQuery($query);
	$groupNameRow = $this->db->loadObject();
	$access = $groupNameRow->name;
	?>
	<tr class="<?php echo "row$k"; ?>">
		
		<td>
			<img src="<?php echo VTEM_IMAGE_HTML_RESIZE; ?><?php echo $this->thumbFiles[$i]['folderName']; ?>/<?php echo $this->thumbFiles[$i]['fullFileName']; ?>"
			width="<?php echo $this->thumbFiles[$i]['width']; ?>" height="<?php echo $this->thumbFiles[$i]['height'] ?>" alt="<?php echo $row->alt_text; ?>"/>
		</td>
		
		
		<td align="center">
			<?php echo $row->description;?> <?php if($editAcl): ?><a href="<?php echo $editDesLink;?>"><?php echo JText::_( 'EDIT' ); ?></a><?php endif; ?>
		</td>
	<!--	
		<td>
			<a href="index.php?option=com_vtemgallery&amp;controller=vtemphoto&amp;task=rotate&amp;catid=<?php echo $row->gallery_id ?>&amp;id=<?php echo $row->id; ?>&amp;rvalue=0">
				<img src="components/com_vtemgallery/images/rotate-left.png" />
			</a>
		
			<a href="index.php?option=com_vtemgallery&amp;controller=vtemphoto&amp;task=rotate&amp;catid=<?php echo $row->gallery_id ?>&amp;id=<?php echo $row->id; ?>&amp;rvalue=1">
				<img src="components/com_vtemgallery/images/rotate-right.png" />
			</a>
		</td>
	-->
		<td>
		<?php if($publishedAcl): ?>
			<a href="<?php echo $publishedLink; ?>">
		<?php endif; ?>
				<img src="<?php echo $publishedImg; ?>" alt="<?php echo $publishedText; ?>" />
		<?php if($publishedAcl): ?>
			</a>
		<?php endif; ?>
		</td>
		
		<td align="center">
			<?php echo $row->hits;?>
		</td>
		
		<?php if( !empty($this->moderate) ): ?>
		<td align="center">
			<?php echo $moderateImg; ?>
		</td>	
		<?php endif; ?>
		
		
		<td>
			<?php if($deleteAcl): ?>
			<a href="<?php echo $deletelink; ?>">
				<?php echo JText::_( 'DELETE' ); ?>
			</a>
			<?php endif; ?>
		</td>
		
		
		
		<td>
		<?php if($orderAcl): ?>
			<input type="text" size="3" name="order[]" value="<?php echo $row->ordering; ?>" />
			<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<?php endif; ?>	
		</td>
		
		
	</tr>
	<?php
	$k = 1 - $k;
}
?>
</tbody>

</table>

<input type="hidden" name="option" value="com_vtemgallery" />
<input type="hidden" name="controller" value="vtemphoto" />
<input type="hidden" name="task" value="saveorder" />
<input type="hidden" name="catid" value="<?php echo $this->category->id; ?>" />
<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
 
</fieldset>

</form>	

