<?php
/**
 * @package		Joomla
 * @subpackage	VtemGallery Module
 * @copyright Copyright (C) 2010 VTEM. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.vtem.net
 */
defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();
$document->addStyleSheet( 'modules/mod_vtemgallery/css/jquery.lightbox-0.5.css' );
$document->addStyleSheet( 'modules/mod_vtemgallery/css/style.css' );
$document->addScript('modules/mod_vtemgallery/js/iepngfix_tilebg.js');

$style = $params->get('style', 0);
$width = $params->get('width', '150');
$height = $params->get('height', '100');
$show_images = $params->get('show_images', 1);
//$catID = $params->get('catID', 1);
//$numberimages = $params->get('numberimages', 1);
JRequest::setVar('vt_mod_id', $module->id);
JRequest::setVar('vt_mod_category_id', $params->get('catID'));
JRequest::setVar('vt_mod_photo_limit', $params->get('numberimages'));
?>
<?php if($params->get('jqueryload', 1) == 1){?>
<script src="<?php echo JURI::base(); ?>modules/mod_vtemgallery/js/jquery.js" type="text/javascript"></script>
<?php }?>
<script src="<?php echo JURI::base(); ?>modules/mod_vtemgallery/js/jquery.lightbox-0.5.min.js" type="text/javascript"></script>
<script type="text/javascript">
var vtemgall = jQuery.noConflict();
(function($) {
$(function() {
	$('#vtem_gallery a').lightBox(); // Select all links in object with gallery ID
	$("a.vtem_img_link").prepend("<span class='over'></span>");
	<?php if($style == 5 || $style == 6){?>		
	$("a.vtem_img_link").prepend("<span class='corner-lt'></span><span class='corner-rt'></span><span class='corner-lb'></span><span class='corner-rb'></span>");	
	<?php }?>			  
});
})(jQuery);
</script>
<style type="text/css">
.vt_gallery span { _behavior: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/css/iepngfix.htc); _cursor: pointer; }
.mod_vtem_gallery_thumb{
width:<?php echo $width; ?>px;
height:<?php echo $height; ?>px;
}
<?php if($style == 1){?>
.vt_gallery span.over {
	width: 77px;
	height: 27px;
	display: block;
	position: absolute;
	top: -12px;
	left: <?php echo ($width-70)/2;?>px;
	background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/tape.png) no-repeat;
}
<?php }?>
<?php if($style == 2){?>
.vt_gallery span.over {
	width: 28px;
	height: 21px;
	display: block;
	position: absolute;
	top: -10px;
	left: <?php echo $width/2;?>px;
	background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/pin.png) no-repeat;
}
<?php }?>
<?php if($style == 3){?>
.vt_gallery span.over {
    width: 30px;
	height: 60px;
	display: block;
	position: absolute;
	top: -5px;
	left: -2px;
	background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/paper-clip.png) no-repeat;
}
<?php }?>
<?php if($style == 4){?>
.vt_gallery span.over {
	width:<?php echo $width; ?>px;
	height: 84px;
	display: block;
	position: absolute;
	top: 5px;
	left: 5px;
	background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/glossy-gradient.png) no-repeat;
}
<?php }?>
<?php if($style == 5 || $style == 6){?>
.vt_gallery img{border: solid 1px #ddd !important;}
.corner-lt{
width:25px;
height:25px;
position:absolute;
background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/corner<?php echo $style;?>.png) left top no-repeat;}
.corner-rt{
background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/corner<?php echo $style;?>.png) right top no-repeat;
top:0;
right:0;
width:25px;
height:25px;
position:absolute;
}
.corner-lb{
background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/corner<?php echo $style;?>.png) left bottom no-repeat;
bottom:0;
left:0;
width:25px;
height:25px;
position:absolute;}
.corner-rb{
background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/corner<?php echo $style;?>.png) right bottom no-repeat;
bottom:0;
right:0;
width:25px;
height:25px;
position:absolute;
}
<?php }?>
<?php if($style == 7){?>
.vt_gallery img{border:none !important;}
.vt_gallery span {
    width:<?php echo $width; ?>px;
    height:<?php echo $height; ?>px;
	display: block;
	position: absolute;
	top: 4px;
	left: 4px;
	background: url(<?php echo JURI::base(); ?>modules/mod_vtemgallery/images/mask.png) center center no-repeat;
}
<?php }?>
</style>
<?php 
if($show_images == 0):
    foreach($images as $img){
		echo "<div id='vtem_gallery'><span class='vt_gallery'><a class='vtem_img_link' title='".$img."' href='".JURI::base().$imagePath.$img."'><img class='mod_vtem_gallery_thumb' src='".JURI::base().$imagePath.$img."' /></a></span></div>";
	}
elseif($show_images == 1):
        $view = JRequest::getCmd('view',null);
        $layout= JRequest::getCmd('layout',null);

        JRequest::setVar('view', 'vtemcategory');
        JRequest::setVar('layout', 'moddefault');

        $lang =& JFactory::getLanguage();
        $lang->load('com_vtemgallery', JPATH_ADMINISTRATOR);
        require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_vtemgallery'.DS.'defines.php');
        require_once(VTEM_COMPONENT.'controllers'.DS.'vtemcategory.php');

        $config = array();
        $config['source'] = 'module';

        $controller = new vtemcategoryController($config);
        $controller->execute('display');
endif;
?>
<div style="clear:both;"></div>